Results 1 to 3 of 3

Thread: "OpenSSL enabled but cannot be found" when install pkcs11-helper

  1. #1
    Join Date
    Feb 2009
    Posts
    11

    Talking "OpenSSL enabled but cannot be found" when install pkcs11-helper

    There were more than 10 days past since I install the OpenVPN in my VPSLink server.But it still not be done!
    The first question is can not found the pkcs11-helper when make the OpenVPN, so I install the pkcs11-helper. And, "Error: OpenSSL enabled but cannot be found", the message when make pkcs11-helper.It is strange that the OpenSSL is installed and work fine! And, the VPSLinks server installed one versions of OpenSSL in system already,but I don't know how to start it. Even start it but not know the lib and headers floder path of OpenSSL.So I install another version, and the OpenSSl is work fine.But I don't understand why says OpenSSL enabled but cannot be found?
    who can give me some supports.Appreciate it!

    DANL, I need you help. Thank you.

    If need any error information, I can put it up.

  2. #2
    Join Date
    Dec 2007
    Posts
    1,141

    Default

    Are you installing OpenVPN from source or are you installing from yum?

    (Installing from yum would be the easiest route - if you are installing from source you will need the openssl-devel package)

  3. #3
    Join Date
    Feb 2009
    Posts
    11

    Default

    Thank you DanL, thank you very very much!
    The OpenVPN was installed in my server yesterday. According to what you said, not only install the openssl-devel package, but also the LZO-devel package.And, install the pkcs11-helper before install the openvpn.The most improtant is very package's version must match with the kernel's version.And, do not install from compiler,but from rpm or yum.
    Finally, I would also like to thank DanL once again, he is a very good guy!

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •